import React from "react";

function BtnPrimary({ children, onClick }) {
  return (
    <a
      className="btn btn--svg js-animated-button group cursor-pointer"
      onClick={onClick}
    >
      <span className="btn--svg__label">{children}</span>
      <svg
        className="btn--svg__circle"
        width="144"
        x="0px"
        y="0px"
        viewBox="0 0 60 60"
        enableBackground="new 0 0 60 60"
      >
        <circle
          className="js-discover-circle"
          fill="#8037A9"
          cx="30"
          cy="30"
          r="28.7"
        ></circle>
      </svg>
      <svg
        className="btn--svg__border"
        x="0px"
        y="0px"
        preserveaspectratio="none"
        viewBox="2 29.3 56.9 13.4"
        enableBackground="new 2 29.3 56.9 13.4"
        width="144"
        height="44"
      >
        <g
          className="btn--svg__border--left js-discover-left-border"
          id="Calque_2"
        >
          <path
            fill="none"
            stroke="#8037A9"
            strokeWidth="0.5"
            strokeMiterlimit="1"
            d="M30.4,41.9H9c0,0-6.2-0.3-6.2-5.9S9,30.1,9,30.1h21.4"
          ></path>
        </g>
        <g
          className="btn--svg__border--right js-discover-right-border"
          id="Calque_3"
        >
          <path
            fill="none"
            stroke="#8037A9"
            strokeWidth="0.5"
            strokeMiterlimit="1"
            d="M30.4,41.9h21.5c0,0,6.1-0.4,6.1-5.9s-6-5.9-6-5.9H30.4"
          ></path>
        </g>
      </svg>
    </a>
  );
}

export default BtnPrimary;
